Categories:
  - Games
License: GPL-3.0-only
WebSite: https://omw.xyz.is/
SourceCode: https://github.com/xyzz/openmw-android
IssueTracker: https://github.com/xyzz/openmw-android/issues
Changelog: https://github.com/xyzz/openmw-android/releases

AutoName: OMW
Description: |-
    Note: This is the "unofficial nightly" version build from @xyzz's repo where the Android app is developed. This means that while new feature will be implemented here first, it might entail a more unstable app. If you want the "stable" OMW releases get [[is.xyz.omw]] and if you want the "official" OpenMW version build, from the OpenMW Android repo where the releases might follow the main OpenMW release cycle, install [[com.libopenmw.openmw]].

    OpenMW is an open-source, free-software game engine that reimplements the one powering Bethesda Softworks' 2002 open-world role-playing game Morrowind.

    This is an OpenMW port for Android, adapted to be played with touchscreen or remote controller. To play it, you need to use your own, legally acquired Morrowind data files.

RepoType: git
Repo: https://github.com/xyzz/openmw-android.git

Builds:
  - versionName: 0.46.0-21-nightly
    versionCode: 21
    commit: 0.46.0-21-nightly
    timeout: 30000
    sudo:
      - apt update || apt update
      - apt install -y doxygen g++ pkgconf wget
    gradle:
      - nightly
    output: app/build/outputs/apk/nightly/release/omw_release_*.apk
    prebuild:
      - sed -i -e '/Unzip/,+5d' buildscripts/include/setup-ndk.sh
      - sed -i -e 's/\ -Wl,-plugin-opt=-emulated-tls//' -e '/download-ndk/d' -e '/debugging\
        life/,+19d' buildscripts/build.sh
      - mkdir -p buildscripts/toolchain
      - ln -s -T $$NDK$$ buildscripts/toolchain/ndk
      - ./buildscripts/build.sh --arch arm
      - ./buildscripts/build.sh --arch arm64 --no-resources
      - ./buildscripts/build.sh --arch x86 --no-resources
      - ./buildscripts/build.sh --arch x86_64 --no-resources
      - rm -fr ./buildscripts/build/*
      - rm -fr ./buildscripts/prefix/*
      - rm -fr ./buildscripts/symbols/*
      - rm -fr ./buildscripts/toolchain/*
    scanignore:
      - app/src/main/assets
      - app/src/main/jniLibs
    ndk: r18b

  - versionName: 0.46.0-22-nightly
    versionCode: 22
    commit: 0.46.0-22-nightly
    timeout: 30000
    sudo:
      - apt update || apt update
      - apt install -y doxygen g++ pkgconf wget
    gradle:
      - nightly
    output: app/build/outputs/apk/nightly/release/omw_release_*.apk
    prebuild:
      - sed -i -e '/Unzip/,+5d' buildscripts/include/setup-ndk.sh
      - sed -i -e 's/\ -Wl,-plugin-opt=-emulated-tls//' -e '/download-ndk/d' -e '/debugging\
        life/,+19d' buildscripts/build.sh
      - mkdir -p buildscripts/toolchain
      - ln -s -T $$NDK$$ buildscripts/toolchain/ndk
      - ./buildscripts/build.sh --arch arm
      - ./buildscripts/build.sh --arch arm64 --no-resources
      - ./buildscripts/build.sh --arch x86 --no-resources
      - ./buildscripts/build.sh --arch x86_64 --no-resources
      - rm -fr ./buildscripts/build/*
      - rm -fr ./buildscripts/prefix/*
      - rm -fr ./buildscripts/symbols/*
      - rm -fr ./buildscripts/toolchain/*
    scanignore:
      - app/src/main/assets
      - app/src/main/jniLibs
    ndk: r18b

  - versionName: 0.46.0-24-nightly
    versionCode: 24
    commit: 0.46.0-24-nightly
    timeout: 30000
    sudo:
      - apt update || apt update
      - apt install -y doxygen g++ pkgconf wget
    gradle:
      - nightly
    output: app/build/outputs/apk/nightly/release/omw_release_*.apk
    prebuild:
      - sed -i -e '/Unzip/,+5d' buildscripts/include/setup-ndk.sh
      - sed -i -e 's/\ -Wl,-plugin-opt=-emulated-tls//' -e '/download-ndk/d' -e '/debugging\
        life/,+19d' buildscripts/build.sh
      - mkdir -p buildscripts/toolchain
      - ln -s -T $$NDK$$ buildscripts/toolchain/ndk
      - ./buildscripts/build.sh --arch arm
      - ./buildscripts/build.sh --arch arm64 --no-resources
      - ./buildscripts/build.sh --arch x86 --no-resources
      - ./buildscripts/build.sh --arch x86_64 --no-resources
      - rm -fr ./buildscripts/build/*
      - rm -fr ./buildscripts/prefix/*
      - rm -fr ./buildscripts/symbols/*
      - rm -fr ./buildscripts/toolchain/*
    scanignore:
      - app/src/main/assets
      - app/src/main/jniLibs
    ndk: r18b

  - versionName: 0.46.0-25-nightly
    versionCode: 25
    commit: 0.46.0-25-nightly
    timeout: 30000
    sudo:
      - apt update || apt update
      - apt install -y doxygen g++ pkgconf wget
    gradle:
      - nightly
    output: app/build/outputs/apk/nightly/release/omw_release_*.apk
    prebuild:
      - sed -i -e '/Unzip/,+5d' buildscripts/include/setup-ndk.sh
      - sed -i -e 's/\ -Wl,-plugin-opt=-emulated-tls//' -e '/download-ndk/d' -e '/debugging\
        life/,+19d' buildscripts/build.sh
      - mkdir -p buildscripts/toolchain
      - ln -s -T $$NDK$$ buildscripts/toolchain/ndk
      - ./buildscripts/build.sh --arch arm
      - ./buildscripts/build.sh --arch arm64 --no-resources
      - ./buildscripts/build.sh --arch x86 --no-resources
      - ./buildscripts/build.sh --arch x86_64 --no-resources
      - rm -fr ./buildscripts/build/*
      - rm -fr ./buildscripts/prefix/*
      - rm -fr ./buildscripts/symbols/*
      - rm -fr ./buildscripts/toolchain/*
    scanignore:
      - app/src/main/assets
      - app/src/main/jniLibs
    ndk: r18b

  - versionName: 0.46.0-26-nightly
    versionCode: 26
    commit: 0.46.0-26-nightly
    timeout: 30000
    sudo:
      - apt update || apt update
      - apt install -y doxygen g++ pkgconf wget
    gradle:
      - nightly
    output: app/build/outputs/apk/nightly/release/omw_release_*.apk
    prebuild:
      - sed -i -e '/Unzip/,+5d' buildscripts/include/setup-ndk.sh
      - sed -i -e 's/\ -Wl,-plugin-opt=-emulated-tls//' -e '/download-ndk/d' -e '/debugging\
        life/,+19d' buildscripts/build.sh
      - mkdir -p buildscripts/toolchain
      - ln -s -T $$NDK$$ buildscripts/toolchain/ndk
      - ./buildscripts/build.sh --arch arm
      - ./buildscripts/build.sh --arch arm64 --no-resources
      - ./buildscripts/build.sh --arch x86 --no-resources
      - ./buildscripts/build.sh --arch x86_64 --no-resources
      - rm -fr ./buildscripts/build/*
      - rm -fr ./buildscripts/prefix/*
      - rm -fr ./buildscripts/symbols/*
      - rm -fr ./buildscripts/toolchain/*
    scanignore:
      - app/src/main/assets
      - app/src/main/jniLibs
    ndk: r20

MaintainerNotes: |-
    - we use prebuild else fdroid scanner will detect the built libs as binaries on the second pass before running build, and we can't scanignore them (at start) since they don't exist yet, see https://gitlab.com/fdroid/fdroidserver/issues/635
    - we remove the buildtools and intermediary artefacts (several gigabytes) else they'll get pulled in the source tarball
    - versionName is generated

AutoUpdateMode: None
UpdateCheckMode: Tags .*[0-9]-nightly$
CurrentVersion: 0.46.0-26-nightly
CurrentVersionCode: 26
